Subject: [bug#33265] [WIP RFC v4] services: Add file system monitoring service.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 11 Nov 2018 13:50:33 +0100

> Another option would be to use Direvent

I've read through direvent 5.1 now and:

(1) It supports only watching entire directories.  OK I guess, especially
since the client can specify basename filters to be applied, so if you
want to watch individual files you can, using a strange configuration
(something like: path $(dirname $file), file $(escape-regex $(basename $file))).

(2) It doesn't notify the client on inotify queue overflow.  *shakes head*
(genev_xlat does not translate IN_Q_OVERFLOW)

(fswatch does notify the client on inotify queue overflow)

Whoever doesn't handle inotify queue overflow uses the kernel API incorrectly -
it's not going to be reliable.